local metadata = {
"## Interface:FS15 1.2",
"## Title: IndividualHudFruit",
"## Notes: Setzt neue Hud für Früchte",
"## Author: HappyLooser",
"## Version: 0.3",
"## Date: 02.01.2015",
"## Web: no"
} 

IndividualHudFruit = {};
local fruitNames = "Found fruit names: ";
local pathFiles;
local path = getUserProfileAppPath();

function IndividualHudFruit:loadMap(name)
	print("---loading IndividualHudFruit v0.3 (by HappyLooser)---")	
	local pathSavegame = path.. "/IndividualHudFiles/savegame".. g_currentMission.missionInfo.savegameIndex.. "/";	
	FolderExists(pathSavegame);	
	if pathFiles ~= nil then
		for i=1,Fillable.NUM_FILLTYPES do
			local desc = Fillable.fillTypeIndexToDesc[i];
			local name = desc.name;
			fruitNames = fruitNames.. name.. ",";			
			local individualHudFile = getHudFiles(name);
			if individualHudFile ~= nil then				
				if g_currentMission.fillTypeOverlays[i] then					
					g_currentMission.fillTypeOverlays[i] = nil;
				end;
				g_currentMission:addFillTypeOverlay(i, individualHudFile);				
			end;
		end;		
		print("----IndividualHudFruit...search map names----")
		print(fruitNames)
	end;	
end;

function IndividualHudFruit:deleteMap()	
end;

function IndividualHudFruit:mouseEvent(posX, posY, isDown, isUp, button)
end;

function IndividualHudFruit:keyEvent(unicode, sym, modifier, isDown)	
end;

function IndividualHudFruit:updateTick(dt)
end;

function IndividualHudFruit:update(dt)
end;

function IndividualHudFruit:draw(dt)
end;

function FolderExists(strFolderName)	
	if g_server == nil and g_client ~= nil then
		isClient = true;
	end;
	if fileExists(strFolderName.. "*.dds") then
		pathFiles = strFolderName;
	else		
		local pathHud = path.."/IndividualHudFiles/";
		if fileExists(pathHud.. "*.dds") then
			pathFiles = pathHud;
		end;
	end;	
end;

function getHudFiles(fruitName)
	if fileExists(Utils.getFilename(fruitName.. '.dds', pathFiles)) then
		return Utils.getFilename(fruitName.. '.dds', pathFiles)	
	end;
end;

--function copyFile(_input, _output)
--	io.input(_input)
--	fileContent = io.read("*all")
--	io.output(_output)
--	io.write(fileContent)
--end
addModEventListener(IndividualHudFruit);

